package com.kingdee.eas.custom.projectbonus.web.vo;

/**
 * @Description 日期
 * @Date 2024/5/8 1:45
 * @Created by Heyuan
 */
public class DatepickerJson {
    // ID 标识
    private String id = "dp_autoSize";

    // 名称
    private String name = "dp_autoSize";

    // 分钟步长
    private String minuteStep;

    // 是否显示时区控件
    private boolean showTimeZoneForCtrl = false;

    // 是否自动转换时区
    private boolean isAutoTimeZoneTrans = false;

    // 是否显示 UTC
    private boolean isShowUTC = false;

    // 是否只读 UTC
    private boolean isReadonlyUTC = false;

    // 是否移除秒数
    private boolean isRemoveSeconds = false;

    // 是否移除天数
    private boolean isRemoveDay = false;

    // 控件类型
    private String ctrlType = "Date";

    // Getter and Setter methods

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMinuteStep() {
        return minuteStep;
    }

    public void setMinuteStep(String minuteStep) {
        this.minuteStep = minuteStep;
    }

    public boolean isShowTimeZoneForCtrl() {
        return showTimeZoneForCtrl;
    }

    public void setShowTimeZoneForCtrl(boolean showTimeZoneForCtrl) {
        this.showTimeZoneForCtrl = showTimeZoneForCtrl;
    }

    public boolean isAutoTimeZoneTrans() {
        return isAutoTimeZoneTrans;
    }

    public void setAutoTimeZoneTrans(boolean autoTimeZoneTrans) {
        isAutoTimeZoneTrans = autoTimeZoneTrans;
    }

    public boolean isShowUTC() {
        return isShowUTC;
    }

    public void setShowUTC(boolean showUTC) {
        isShowUTC = showUTC;
    }

    public boolean isReadonlyUTC() {
        return isReadonlyUTC;
    }

    public void setReadonlyUTC(boolean readonlyUTC) {
        isReadonlyUTC = readonlyUTC;
    }

    public boolean isRemoveSeconds() {
        return isRemoveSeconds;
    }

    public void setRemoveSeconds(boolean removeSeconds) {
        isRemoveSeconds = removeSeconds;
    }

    public boolean isRemoveDay() {
        return isRemoveDay;
    }

    public void setRemoveDay(boolean removeDay) {
        isRemoveDay = removeDay;
    }

    public String getCtrlType() {
        return ctrlType;
    }

    public void setCtrlType(String ctrlType) {
        this.ctrlType = ctrlType;
    }
}
